What’s New: Keeping Up-to-Date with Infor Security Services

Infor Security Services (ISS) is one of two components delivered in the Infor Lawson Distributed Security Package erp-security-300x193(DSP). Along with Distributed Single Sign-On (DSSO), the DSP contains the components necessary to provide single sign-on in Infor Lawson environments where Infor Lawson System Foundation and Landmark Technology Runtime are installed and federated.

ISS was introduced for customers who had Landmark-based Version 10 applications, e.g. Talent Management, Contract Management, Infor Process Automation deployed with either version 9 or 10 Lawson System Foundation applications, e.g. S3 EFM, SCM and HCM. This middleware replaced the previous functionality referred to as ‘coupling’.

It is always important to keep up-to-date on ISS. With the release of V10, we are seeing much more integration between what we are familiar with in the legacy-Lawson product set and the legacy-Infor product sets.

ISS will continue to expand its capabilities in order to accommodate an integrated, authentication path as well as fix any defects that arise as new configuration combinations are rolled out. Your environment may be at a stable state and therefore want to take the position of “if it isn’t broke, don’t fix it.” Although this is a safe posture, you may also miss out on any new functional changes that could improve performance or administrative efforts.

As with any patch application, you also need to consider the benefits of added functionality with the challenges of ensuring you meet any product compatibility requirements. There are minimum versions of both the LSFCT and Landmark Runtime that are required in order to deploy the latest versions of ISS.

As of the publishing of this document, for the 10.1.0 release of DSP, the supported versions of LSF are 9.0.1.12, 9.0.1.13, 10.0.5 & 10.0.6. For the 11.0.0.x version of DSP, the supported versions of LSF are 9.0.1.14, 10.0.7 or 10.0.8. Additionally, for the latest DSP version 11.0.0.537 delivery, you are required to have Landmark Runtime version 10.1.1.30 at a minimum, so Landmark versions 10.2.0.2+ or 11.0.0.0+ will also support the latest DSP version 11.0.0.537. It is always best to consult with the Infor-published Compatibility Matrix and product installation guides and release notes or a trusted advisor such as Avaap when deciding on applying any updates to any of the Infor Lawson software components.

Get the latest thought leadership from Avaap delivered to your inbox weekly!

* indicates required

Expert Insights

Trending resources

When the CIO Holds the Key to Business Transformation

When the CIO Holds the Key to Business Transformation

When the CIO Holds the Key to Business Transformation It’s not every day an organization…
Leveraging Change Management When Moving to the Cloud

Leveraging Change Management When Moving to the Cloud

Start with the end in mind: Optimize your future state by leveraging the current state…

Infor Security Services (ISS) is one of two components delivered in the Infor Lawson Distributed Security Package erp-security-300x193(DSP). Along with Distributed Single Sign-On (DSSO), the DSP contains the components necessary to provide single sign-on in Infor Lawson environments where Infor Lawson System Foundation and Landmark Technology Runtime are installed and federated.

ISS was introduced for customers who had Landmark-based Version 10 applications, e.g. Talent Management, Contract Management, Infor Process Automation deployed with either version 9 or 10 Lawson System Foundation applications, e.g. S3 EFM, SCM and HCM. This middleware replaced the previous functionality referred to as ‘coupling’.

It is always important to keep up-to-date on ISS. With the release of V10, we are seeing much more integration between what we are familiar with in the legacy-Lawson product set and the legacy-Infor product sets.

ISS will continue to expand its capabilities in order to accommodate an integrated, authentication path as well as fix any defects that arise as new configuration combinations are rolled out. Your environment may be at a stable state and therefore want to take the position of “if it isn’t broke, don’t fix it.” Although this is a safe posture, you may also miss out on any new functional changes that could improve performance or administrative efforts.

As with any patch application, you also need to consider the benefits of added functionality with the challenges of ensuring you meet any product compatibility requirements. There are minimum versions of both the LSFCT and Landmark Runtime that are required in order to deploy the latest versions of ISS.

As of the publishing of this document, for the 10.1.0 release of DSP, the supported versions of LSF are 9.0.1.12, 9.0.1.13, 10.0.5 & 10.0.6. For the 11.0.0.x version of DSP, the supported versions of LSF are 9.0.1.14, 10.0.7 or 10.0.8. Additionally, for the latest DSP version 11.0.0.537 delivery, you are required to have Landmark Runtime version 10.1.1.30 at a minimum, so Landmark versions 10.2.0.2+ or 11.0.0.0+ will also support the latest DSP version 11.0.0.537. It is always best to consult with the Infor-published Compatibility Matrix and product installation guides and release notes or a trusted advisor such as Avaap when deciding on applying any updates to any of the Infor Lawson software components.